Bug 313301 - netbpm-progs is missing a dependency on xorg-x11-server-utils, causing buildroot problems
netbpm-progs is missing a dependency on xorg-x11-server-utils, causing buildr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 16:18 EDT by Hans de Goede
Modified: 2013-07-02 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 10.35.41-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 17:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-30 16:18:26 EDT
Description of problem:
While working on freecol (review bug 302361) the reviewer noted that there were
images with a size of 0 bytes in the docs.

These docs are generated by latex2html, which uses netpbm progs to manipulate
the images.

I've managed to reproduce the problem in a local buildroot:
[hans@shalem freecol]$ sudo chroot /var/lib/mock/fedora-development-x86_64/root/
bash-3.2# /usr/bin/ppmquant -floyd 256 < test.pnm | /usr/bin/pnmtopng -interlace
-trans 'gray85'  > img2.png
pnmcolormap: making histogram...
pnmcolormap: Scanning image 0
pnmcolormap: 15 colors so far
pnmcolormap: 15 colors found
pnmcolormap: Image already has few enough colors (<=256).  Keeping same colors.
pnmremap: 15 colors found in colormap
pnmtopng: can't open color names dictionary file named /usr/lib/X11/rgb.txt,
/usr/share/X11/rgb.txt, or /usr/X11R6/lib/X11/rgb.txt and Environment variable
RGBDEF not set.  Set RGBDEF to the pathname of your rgb.txt file or don't use
color names.

Installing /usr/share/X11/rgb.txt from my main system into the buildroot fixes
this. /usr/share/X11/rgb.txt is part of xorg-x11-server-utils and since
netpbm-progs needs this file it should thus require xorg-x11-server-utils (or
require the file).
Comment 1 Jindrich Novy 2007-10-11 12:48:46 EDT
Fixed, thanks.
Comment 2 Hans de Goede 2008-03-14 06:54:10 EDT
I just rechecked if this is really fixed, as I wanted to remove a workaround for
this from a specfile I was working on, but it isn't fixed.

Reopening: you BR'd it, but it should be a normal Requires, as
/usr/share/X11/rgb.txt gets used runtime by pnmtopng.
Comment 3 Jindrich Novy 2008-03-14 07:21:40 EDT
I see the xorg-x11-server-utils Requires is actually not needed as netpbm
contains its own rgb.txt in its tarball which is much more recent that the xorg
one (~2000) and contains more data. I will probably drop the xorg-utils
dependency completely, package the netpbm's rgb.txt and update search paths.
Comment 4 Jindrich Novy 2008-03-14 08:23:56 EDT
The new rgb.txt is now packaged in /usr/share/netpbm and the links to it are now
corrected so that pnmtopng should use this new rgb.txt from now on. Please test
and reopen if you see some other issues.
Comment 5 Fedora Update System 2008-03-31 09:52:53 EDT
netpbm-10.35.41-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-04-01 05:39:04 EDT
netpbm-10.35.41-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-04-01 17:33:33 EDT
netpbm-10.35.41-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-04-01 17:36:27 EDT
netpbm-10.35.41-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.